getASingleUsersPermissionAndRoles
curl --request GET \
--url https://api.artemis.cynopsis.co/api/authentication-manager/user/{id} \
--header 'Authorization: Bearer <token>' \
--header 'X-Domain-ID: <x-domain-id>'import requests
url = "https://api.artemis.cynopsis.co/api/authentication-manager/user/{id}"
headers = {
"X-Domain-ID": "<x-domain-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Domain-ID': '<x-domain-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.artemis.cynopsis.co/api/authentication-manager/user/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"permissions": [],
"roles": [
{
"createdAt": {
"date": 123,
"day": 123,
"hours": 123,
"minutes": 123,
"month": 123,
"nanos": 123,
"seconds": 123,
"time": 123,
"timezoneOffset": 123,
"year": 123
},
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"fullName": "<string>",
"id": 123,
"lastName": "<string>"
},
"domainId": "<string>",
"id": 123,
"name": "<string>",
"permissions": [],
"updatedAt": {
"date": 123,
"day": 123,
"hours": 123,
"minutes": 123,
"month": 123,
"nanos": 123,
"seconds": 123,
"time": 123,
"timezoneOffset": 123,
"year": 123
},
"updatedBy": {
"email": "<string>",
"firstName": "<string>",
"fullName": "<string>",
"id": 123,
"lastName": "<string>"
}
}
],
"user": {
"address": "<string>",
"avatar": "<string>",
"bio": "<string>",
"colorCode": "<string>",
"createdAt": {
"date": 123,
"day": 123,
"hours": 123,
"minutes": 123,
"month": 123,
"nanos": 123,
"seconds": 123,
"time": 123,
"timezoneOffset": 123,
"year": 123
},
"createdBy": {
"avatar": "<string>",
"colorCode": "<string>",
"email": "<string>",
"firstName": "<string>",
"id": 123,
"lastName": "<string>"
},
"email": "<string>",
"enabledTwoFactorAuth": true,
"firstName": "<string>",
"id": 123,
"lastAccessed": "<string>",
"lastName": "<string>",
"locked": true,
"phone": "<string>",
"role": "<string>",
"updatedAt": {
"date": 123,
"day": 123,
"hours": 123,
"minutes": 123,
"month": 123,
"nanos": 123,
"seconds": 123,
"time": 123,
"timezoneOffset": 123,
"year": 123
},
"updatedBy": {
"avatar": "<string>",
"colorCode": "<string>",
"email": "<string>",
"firstName": "<string>",
"id": 123,
"lastName": "<string>"
},
"verified": true
}
}authentication-manager-controller
getASingleUsersPermissionAndRoles
GET
/
api
/
authentication-manager
/
user
/
{id}
getASingleUsersPermissionAndRoles
Authorizations
OAuth2_Client_CredentialsOAuth2_Password
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
X-Domain-ID
Path Parameters
id
Response
OK
Available options:
ADMIN, ANONYMOUS, CASE_APPROVE, CASE_APPROVE_ACCEPTED, CASE_APPROVE_ACCEPTED_HIGH_RISK, CASE_APPROVE_ACCEPTED_LOW_RISK, CASE_APPROVE_ACCEPTED_MEDIUM_HIGH_RISK, CASE_APPROVE_ACCEPTED_MEDIUM_LOW_RISK, CASE_APPROVE_ACCEPTED_MEDIUM_RISK, CASE_APPROVE_REJECTED, CASE_ASSIGN, CASE_CREATE, CASE_DELETE, CASE_DELETE_COMMENT, CASE_DELETE_DOCUMENT, CASE_GROUP_PERMISSIVE, CASE_PERMISSIVE, CASE_REQUEST_UPDATE, CASE_UPDATE, CASE_VIEW, ORL_CREATE, ORL_DELETE, ORL_UPDATE, ORL_VIEW, SERVICE, USER_CREATE, USER_DELETE, USER_GROUP_CREATE, USER_GROUP_DELETE, USER_GROUP_UPDATE, USER_GROUP_VIEW, USER_REACTIVATE, USER_UPDATE_PERMISSION, USER_VIEW Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
